package com.seeyon.apps.src_gettaxrate.util;
/**
* @author zhaoyang:
* @version 创建时间：2024年10月16日 下午4:56:55
* 类说明
*/
public class CommonResult {
	private String statusCode;
	private String message;
	private Object data;

	// 构造函数，用于创建成功的Result对象
	public CommonResult(String statusCode, String message, Object data) {
		this.statusCode = statusCode;
		this.message = message;
		this.data = data;
	}

	// 构造函数，用于创建失败的Result对象
	public CommonResult(String statusCode, String message) {
		this.statusCode = statusCode;
		this.message = message;
	}

	// Getter和Setter方法
	public String getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}


	@Override
	public String toString() {
		return "Result{" + "statusCode=" + statusCode + ", message='" + message + '\'' + ", data=" + data + '}';
	}
}
